Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.util.datatransfer
Interface MultiTransferObject

    public interface MultiTransferObject

Interface for transferring multiple objects at once.

Method Summary
`boolean` | `areDataFlavorsSupported(DataFlavor[] array)` Test whether each transferred item supports at least one of these flavors.
`int` | `getCount()` Get the number of transferred elements.
`Transferable` | `getTransferableAt(int index)` Get the transferable at some index.
`Object` | `getTransferData(int indx, DataFlavor flavor)` Get transfer data for the item at some index.
`DataFlavor[]` | `getTransferDataFlavors(int i)` Get list of all supported flavors for the item at an index.
`boolean` | `isDataFlavorSupported(int index, DataFlavor flavor)` Test whether a given data flavor is supported by the item at `index`.

Method Detail

### getCount

    int getCount()

  Get the number of transferred elements.

  Returns:
    the count

### getTransferableAt

    Transferable getTransferableAt(int index)

  Get the transferable at some index.

  Parameters:
    `index` - the index
  Returns:
    the transferable

### isDataFlavorSupported

    boolean isDataFlavorSupported(int index,
                                  DataFlavor flavor)

  Test whether a given data flavor is supported by the item at `index`.

  Parameters:
    `index` - the index
    `flavor` - the flavor to test
  Returns:
    `true` if the flavor is supported

### areDataFlavorsSupported

    boolean areDataFlavorsSupported(DataFlavor[] array)

  Test whether each transferred item supports at least one of these flavors. Different items may support different flavors, however.

  Parameters:
    `array` - array of flavors
  Returns:
    `true` if all items support one or more flavors

### getTransferDataFlavors

    DataFlavor[] getTransferDataFlavors(int i)

  Get list of all supported flavors for the item at an index.

  Parameters:
    `i` - the index
  Returns:
    array of supported flavors

### getTransferData

    Object getTransferData(int indx,
                           DataFlavor flavor)
                           throws UnsupportedFlavorException,
                                  IOException

  Get transfer data for the item at some index.

  Parameters:
    `indx` - the index
    `flavor` - the flavor desired
  Returns:
    transfer data for item at that index
  Throws:
    `IOException` - if there is an I/O problem
    `UnsupportedFlavorException` - if that flavor is not supported

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.util 6.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.